                      Computer Science 825
                         Quiz C           Name _______________________

1. If multiple Links exist between SNA nodes, it is possible to group them
   all into a single transmission group or to create as many transmission
   groups as there are links.. What is the advantage of each approach.


   a. Single TG



   b. As many TG's as Links




2. Suppose the following is a diagram of an SNA network:

     A       D
   /   \   /   \
  Z      C      F
   \   /   \   /
     B       E

    Answer the following T or F.

    ___ a. Nodes Z and C can't both have explicit routes with the
           identity (3, F).

    ___ b. For node A to have a functional explicit route with
           identity (3, F), node C must also have an explicit route
           with identity (3, F).

    ___ c. Nodes A and C can't both have explicit routes with the
           identity (3, F) where A's (3,F) passes through D and
           C's (3, F) passes through E.

    ___ d. If nodes A and B can both have explicit routes to F with A's
           called (3, F) and B's called (4, F), the reverse route to
           a must be called (3, A) and the reverse route to be must
           be called (4,B).


3. Suppose nodes C, D, and F's static tables contain the following
   entries:

        Dest ER#  Via/TG        Dest ER#  Via/TG     Dest ER#  Via/TG
    C:   A    2    1        D:   A    2    1     F:   A    7    1
         A    7    2             A    9    1          A    8    2
         A    9    2             A   11    1          A    9    2

  If A activates (7,F) what are the possible ER numbers for the reverse ER??



4. A VR manager receiving a packet with the Change Window Reply Indicator
   must:

   a. Stop sending immediately   b. Set the current pacing group size
                                    to the minimum pacing group size.

   c. Decrement the current      d. Increment the current pacing group
      pacing group size.            size.

5. A VR manager receiving a packet with the Reset Window Indicator
   must:

   a. Stop sending immediately   b. Set the current pacing group size
                                    to the maximum pacing group size.

   c. Decrement the current      d. None of the above.
      pacing group size.

6. When a VR manager receives a pacing response before the pacing
   count reaches 0 and it doesn't contain CRWI or RWI it

   a. Sets the pacing count to   b. Increments the current pacing
      the current pacing group      group size by 1.
      size.

   c. Adds the current pacing    d. Sets the pacing count to the
      group size to the pacing      maximum pacing group size.
      count.

7. a. What is the maximum number of networks and hosts for each of
      the three classes of network used in the INTERNET

                 Max Nets            Max Hosts
   Class A

   Class B

   Class C

   b. Which class of net does a node whose address is 192.215.17.139
      belong to.




8. What is the function of the "protocol" byte  found in the
   IP header?

